Bug 894599 - Review Request: coin-or-CoinMP - C-API interface to CLP, CBC and CGL
Review Request: coin-or-CoinMP - C-API interface to CLP, CBC and CGL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 894585 894586 894587 894588 894597
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-12 10:13 EST by Paulo Andrade
Modified: 2014-05-01 03:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: coin-or-CoinMP-1.7.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-01 03:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 10:13:22 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP-1.6.0-3.fc19.src.rpm
Description: CoinMP is a C-API library that supports most of the functionality of CLP
(Coin LP), CBC (Coin Branch-and-Cut), and CGL (Cut Generation Library)
projects.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:14:44 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 17:02:09 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP-1.6.0-4.fc19.src.rpm
Comment 3 Paulo Andrade 2013-11-01 18:23:05 EDT
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP-1.7.1-1.fc21.src.rpm
Comment 4 Paulo Andrade 2014-04-19 12:54:51 EDT
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-CoinMP-1.7.6-1.fc21.src.rpm
Comment 5 Antonio Trande 2014-04-20 12:13:41 EDT
Package approved.

/usr/include/coin directory is owned by  coin-or-CoinUtils-devel package.
Properly requested.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 35 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/894599-coin-or-CoinMP/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-CoinMP-1.7.6-1.fc21.x86_64.rpm
          coin-or-CoinMP-devel-1.7.6-1.fc21.x86_64.rpm
          coin-or-CoinMP-1.7.6-1.fc21.src.rpm
coin-or-CoinMP-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-CoinMP-devel coin-or-CoinMP
coin-or-CoinMP-devel.x86_64: W: no-documentation
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 typeinfo for CoinMessageHandler
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 typeinfo for ClpEventHandler
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 typeinfo for CbcEventHandler
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::checkSeverity()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpEventHandler::eventWithInfo(ClpEventHandler::Event, void*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinError::printErrors_
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcOrClpRead_mode
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::initialSolve()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::setPrimalColumnPivotAlgorithm(ClpPrimalColumnPivot&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglLiftAndProject::CglLiftAndProject()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::initialSolve(ClpSolve&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglOddHole::CglOddHole()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglOddHole::setMinimumViolation(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpPrimalColumnSteepest::~ClpPrimalColumnSteepest()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::operator=(CoinMessageHandler const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::setMaxProbe(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setDualTolerance(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::CbcModel(OsiSolverInterface const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglOddHole::setMaximumEntries(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::passInMessageHandler(CoinMessageHandler*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::setRowCuts(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::passInEventHandler(ClpEventHandler const*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::setUsingObjective(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::setPerturbation(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::setMaxPass(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglOddHole::setMinimumViolationPer(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::passInMessageHandler(CoinMessageHandler*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setDualObjectiveLimit(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSolve::~ClpSolve()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::~ClpSimplex()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglSimpleRounding::CglSimpleRounding()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setMaximumIterations(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpDualRowSteepest::ClpDualRowSteepest(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcEventHandler::operator=(CbcEventHandler const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::CglProbing()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSolve::setPresolveType(ClpSolve::PresolveType, int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setMaximumSeconds(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcEventHandler::~CbcEventHandler()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setPrimalTolerance(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::setMode(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::copyNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&, std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::~CoinMessageHandler()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::branchAndBound(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::setHowOftenGlobalScan(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglProbing::setMaxLook(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::CoinMessageHandler()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::getBestPossibleObjValue() const
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::readMps(char const*, bool, bool)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::setNumberStrong(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::passInEventHandler(CbcEventHandler const*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcEventHandler::CbcEventHandler(CbcModel*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcMain1(int, char const**, CbcModel&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::setDualRowPivotAlgorithm(ClpDualRowPivot&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::initialSolve()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglGomory::CglGomory()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpEventHandler::ClpEventHandler(ClpEventHandler const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::passInPriorities(int const*, bool)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglClique::CglClique(bool, bool)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::addCutGenerator(CglCutGenerator*, int, char const*, bool, bool, bool, int, int, int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglGomory::setAway(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglKnapsackCover::CglKnapsackCover()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::crash(double, int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpDualRowSteepest::~ClpDualRowSteepest()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::scaling(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcMain0(CbcModel&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setOptimizationDirection(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::CoinMessageHandler(CoinMessageHandler const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::loadProblem(int, int, int const*, int const*, double const*, double const*, double const*, double const*, double const*, double const*, double const*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcModel::addObjects(int, CbcObject**)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpEventHandler::~ClpEventHandler()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpModel::setPrimalObjectiveLimit(double)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpPrimalColumnSteepest::ClpPrimalColumnSteepest(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 OsiClpSolverInterface::OsiClpSolverInterface(ClpSimplex*, bool)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcLotsize::CbcLotsize(CbcModel*, int, int, double const*, bool)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CglGomory::setLimit(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcEventHandler::CbcEventHandler(CbcEventHandler const&)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::setLogLevel(int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CbcSOS::CbcSOS(CbcModel*, int, int const*, double const*, int, int)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpEventHandler::ClpEventHandler(ClpSimplex*)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 CoinMessageHandler::print()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSolve::ClpSolve()
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpSimplex::ClpSimplex(bool)
coin-or-CoinMP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libCoinMP.so.1.7.6 ClpEventHandler::operator=(ClpEventHandler const&)
coin-or-CoinMP.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libCoinMP.so.1.7.6 /lib64/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 85 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-CoinMP-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinMP(x86-64)
    coin-or-CoinUtils-devel
    libCoinMP.so.1()(64bit)
    pkgconfig(cbc)
    pkgconfig(clp)
    pkgconfig(osi-clp)

coin-or-CoinMP (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
coin-or-CoinMP-devel:
    coin-or-CoinMP-devel
    coin-or-CoinMP-devel(x86-64)
    pkgconfig(coinmp)

coin-or-CoinMP:
    coin-or-CoinMP
    coin-or-CoinMP(x86-64)
    libCoinMP.so.1()(64bit)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/CoinMP/CoinMP-1.7.6.tgz :
  CHECKSUM(SHA256) this package     : ab4addc5399531bd8f24bc77f6e97da6a48893bbdc6da94c59f8807460d2bf6e
  CHECKSUM(SHA256) upstream package : ab4addc5399531bd8f24bc77f6e97da6a48893bbdc6da94c59f8807460d2bf6e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894599
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Paulo Andrade 2014-04-20 13:35:26 EDT
New Package SCM Request
=======================
Package Name: coin-or-CoinMP
Short Description: C-API interface to CLP, CBC and CGL
Owners: pcpa
Branches: f20
InitialCC:
Comment 7 Kevin Fenzi 2014-04-20 19:27:00 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-04-21 12:35:24 EDT
coin-or-CoinMP-1.7.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-CoinMP-1.7.6-1.fc20
Comment 9 Fedora Update System 2014-04-23 00:28:19 EDT
coin-or-CoinMP-1.7.6-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2014-05-01 03:06:38 EDT
coin-or-CoinMP-1.7.6-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.